---
id: syscall
title: syscall
hide_title: true
hide_table_of_contents: true
sidebar_label: syscall
description: Dump kernelcache syscalls
---
## ipsw kernel syscall

Dump kernelcache syscalls

```
ipsw kernel syscall [flags]
```

### Options

```
  -a, --arch string     Which architecture to use for fat/universal MachO
  -g, --gen             Generate syscall table data gzip file
  -h, --help            help for syscall
  -o, --output string   Output gzip file
```

### Options inherited from parent commands

```
      --color           colorize output
      --config string   config file (default is $HOME/.config/ipsw/config.yaml)
      --no-color        disable colorize output
  -V, --verbose         verbose output
```

### SEE ALSO

* [ipsw kernel](/docs/cli/ipsw/kernel)	 - Parse kernelcache

